/* Original Manx Aztec C string.h has been pruned because of contention   */
/* with the index() routine. The original header file is a Manx copyright */

#ifndef __STRING_H
#define __STRING_H

#ifndef _SIZE_T
#define _SIZE_T
typedef unsigned long size_t;
#endif

#ifndef NULL
#define NULL 0L
#endif

char *strcpy(char *_dst, const char *_src);
char *strncpy(char *_dst, const char *_src, size_t _n);
char *strcat(char *_dst, const char *_src);
char *strncat(char *_dst, const char *_src, size_t _n);

int strcmp(const char *_s1, const char *_s2);
int strncmp(const char *_s1, const char *_s2, size_t _n);
char *strchr(const char *_s, int _c);
char *strstr(const char *_s1, const char *_s2);
char *strtok(char *_s1, const char *_s2);
size_t strlen(const char *_s);

#if !__STDC__ /* non ANSI C functions */

int stricmp(const char *_s1, const char *_s2);
int strnicmp(const char *_s1, const char *_s2, size_t _n);

#endif /* !__STDC__ */

#endif /* _STRING_H */

